Contact -NL- www.linkedin.com/in/ -NL- hansrajchoudhary (LinkedIn) -NL- www.cse.iitb.ac.in/~hansraj -NL- (Personal) -NL- **`Top Skills`[SKILLS_HEADING]** -NL- Eclipse -NL- MySQL -NL- Java -NL- **`Publications`[OTHERS_HEADING]** -NL- Case markers and morphology: -NL- addressing the crux of the fluency -NL- problem in English-Hindi SMT -NL- Patents -NL- METHOD AND SYSTEM FOR -NL- ALLOCATING VEHICLES TO -NL- PASSENGERS -NL- **`Hansraj Choudhary`[NAME]** -NL- **`Senior Principal Engineer`[EMPLOYER_ROLE]** at **`Ola (ANI Technologies Pvt. Ltd)`[EMPLOYER_COMPANY_NAME]** -NL- Bengaluru, Karnataka, India -NL- **`Summary`[SUMMARY_HEADING]** -NL- Having 10+ years of experience in solving real world problems with -NL- the help of technology, designing & developing scalable backend -NL- distributed systems using advanced development methodologies, -NL- tools and processes contributing to the design and roll-out of cutting- -NL- edge software applications. -NL- Specialties: Distributed systems, Scalable Micro services, Sql/NoSql, -NL- Algorithms and Data Structures, Text / Geo-spatial search, Big data -NL- **`Experience`[WORK_EXPERIENCE_HEADING]** -NL- **`Ola (ANI Technologies Pvt. Ltd)`[EMPLOYER_COMPANY_NAME]** -NL- 4 years 3 months -NL- **`Senior Principal Engineer`[EMPLOYER_ROLE]** -NL- April 2019 - Present (1 year) -NL- Bengaluru Area, India -NL- Geo-spatial, Demand, Availability, Matching and Allocation platform -NL- Kafka, RocksDB, Flink, Thrift, Flatbuffer/protobuf, ES, Redis, Mysql, Docker, -NL- Prometheus, Azure, AWS, Multi-DC -NL- - Designing and architecting high impact initiative to throttle unexpected high -NL- incoming traffic at runtime to shield almost all the Tier 1 service in Ola -NL- - Designing and creating a Multi-Cloud environment for Ola's supply storage -NL- and dispatch service to work on multi DC to ensure high availability and to be -NL- able to use both Azure and AWS services -NL- - Patented (US 2019 272 483 A10) the method and system for soft allocating -NL- vehicles to passengers -NL- - Working on developing and integrating data science models to learn -NL- matching attributes dynamically based on live demand / supply situations -NL- **`Principal Engineer`[EMPLOYER_ROLE]** -NL- March 2017 - Present (3 years 1 month) -NL- Bengaluru Area, India -NL- Page 1 of 4 -NL- ES, Cassandra, Scylladb, Dropwizard, GRPC, Kafka, Redis, Thrift, HAProxy, -NL- Distributed systems -NL- - Founding member of team which designed and developed Ola's core cab/taxi -NL- allotment (dispatch) engine from scratch -NL- - Developed highly scalable and available cab discovery platform which -NL- developed in-memory DB/cache to store live position updates of cabs (in- -NL- house data store: roadrunner) -NL- **`SDE III`[EMPLOYER_ROLE]** -NL- January 2016 - March 2017 (1 year 3 months) -NL- Bengaluru Area, India -NL- Dropwizard, Mongodb, Thrift over http, Hazelcast, Scalable microservices, -NL- REST, Data science models -NL- - Worked as technical lead in allocation & discovery platform responsible for -NL- cab discovery and cab allotments -NL- - Designed and developed Ola's central allocation engine and working on -NL- demand-supply matching algorithms -NL- - Wrote cab discovery service for all business verticals on Ola platform -NL- - Wrote demand queuing and request holding mechanism for across request -NL- optimisation -NL- - Worked on supply utilisation system specific to Ola share -NL- **`Flipkart.com`[EMPLOYER_COMPANY_NAME]** -NL- **`SDE II`[EMPLOYER_ROLE]** -NL- December 2013 - January 2016 (2 years 2 months) -NL- Bengaluru Area, India -NL- Kafka, Hazelcast, Mysql, Spark, Padrino, Protobuf/Netty, Jenkins -NL- => Wrote retail accounting service layer to enable better month end closing -NL- entries. The service handles various flows of purchase, sell, billing, debit notes, -NL- credit notes, payments etc -NL- => Implemented data enrichment layer to process external events from -NL- different modules in flipkart to process various inventory movements -NL- **`Oracle`[EMPLOYER_COMPANY_NAME]** -NL- **`Senior Member Technical Staff`[EMPLOYER_ROLE]** -NL- March 2012 - December 2013 (1 year 10 months) -NL- **`Oracle`[EMPLOYER_COMPANY_NAME]** DB, Parallel queries, REST, **`Oracle`[EMPLOYER_COMPANY_NAME]** clouds, Search as Service -NL- Page 2 of 4 -NL- Secure Enterprise Search: Designed and developed parallel query & relevancy -NL- ranking feature to improve query performance over large volume of data -NL- Search Engine as a Service: Designed and developed client-facing json based -NL- REST APIs in the oracle cloud for query, content ingest, and administration & -NL- worked on Search Federation Service -NL- Data Enrichment: **`Oracle`[EMPLOYER_COMPANY_NAME]** Data Enrichment feature facilitates in-place -NL- enrichments of indexed records focused on extracting value from unstructured -NL- data. Developed Configuration APIs to manage essential configuration -NL- metadata, such as enrichment plugins and resources. Worked on the initial -NL- design to use Bigdata/Badoop for data enrichment -NL- **`Webaroo Inc`[EMPLOYER_COMPANY_NAME]** -NL- **`Senior Software Developer`[EMPLOYER_ROLE]** -NL- August 2009 - March 2012 (2 years 8 months) -NL- * Worked on Enterprise SMS Sender application that provides various -NL- enterprises an ideal platform for mobile marketing -NL- * Implemented algorithms to route large volume of SMS traffic efficiently based -NL- on priority -NL- * Designed and developed an event generating and handling module for -NL- reporting system which provides a real time delivery and reporting to the users -NL- **`Verizon`[EMPLOYER_COMPANY_NAME]** -NL- **`Software Engineer`[EMPLOYER_ROLE]** -NL- August 2009 - December 2009 (5 months) -NL- Chennai Area, India -NL- Worked on a tool Media Manager which is a PC application that lets you -NL- stream your slideshows, playlists or Internet videos to your TV -NL- **`Morgan Stanley`[EMPLOYER_COMPANY_NAME]** -NL- **`Software Intern`[EMPLOYER_ROLE]** -NL- May 2007 - July 2007 (3 months) -NL- Entitlement Management System: Developed a tool EnManS, Entitlement -NL- Management System with Trade Completion Group which automated -NL- management of access privileges of users in the company -NL- **`Education`[EDUCATION_HEADING]** -NL- **`Indian Institute of Technology, Bombay`[EDUCATION_INSTITUTE]** -NL- Page 3 of 4 -NL- B.Tech & M.Tech (Dual Degree), Computer Science · (2004 - 2009) -NL- Page 4 of 4 -NL- 